Error Starting NodeBB



  • Hello, recently the server where nodebb is installed is giving bad gateway error very often i have to restart Nodebb forum two to three times a day to make it work again. what could be the problem?

    and just this morning same thing happened but i couldnt restart is i am getting this error.

    1/6 00:52 [1489] - error: Error: ENOENT, rename '/var/www/nodebb/forums/node_modules/nodebb-plugin-emoji-one/public/static/.images/svg'
    Error: ENOENT, rename '/var/www/nodebb/forums/node_modules/nodebb-plugin-emoji-one/public/static/.images/svg'


  • GNU/Linux

    I'm on it. Breaking changes in emojione (not the NodeBB plugin) without proper versioning...



  • @frissdiegurke is there anyway to start the forum now as it has been down since last night i guess?


  • GNU/Linux

    You can now update to nodebb-plugin-emoji-one@1.1.4.

    npm rm nodebb-plugin-emoji-one
    npm install nodebb-plugin-emoji-one@1.1.4
    


  • @frissdiegurke I did updated the plugin and upgraded the nodebb but i am still getting the same error:

    This is the full error:

    1/6 04:20 [2388] - info: Time: Wed Jun 01 2016 04:20:16 GMT-0700 (MST)
    1/6 04:20 [2388] - info: Initializing NodeBB v1.0.3
    1/6 04:20 [2388] - info: [plugins/emoji-one] Initial startup detected. Downloading emojione assets...
    1/6 04:20 [2388] - warn: [plugins] Skipping /var/www/nodebb/forums/node_modules/nodebb-plugin-header-extend/public/templates/admin/plugins/script.js by plugin nodebb-plugin-header-extend
    1/6 04:20 [2388] - warn: [plugins] Skipping /var/www/nodebb/forums/node_modules/nodebb-plugin-header-extend/public/templates/admin/plugins/style.css by plugin nodebb-plugin-header-extend
    1/6 04:20 [2388] - error: Error: ENOENT, rename '/var/www/nodebb/forums/node_modules/nodebb-plugin-emoji-one/public/static/.images/svg'
    Error: ENOENT, rename '/var/www/nodebb/forums/node_modules/nodebb-plugin-emoji-one/public/static/.images/svg'
    1/6 04:20 [2388] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    1/6 04:20 [2388] - info: [app] Database connection closed.

    net.js:1233
    throw new Error('Not running');
    ^
    Error: Not running
    at Server.close (net.js:1233:11)
    at shutdown (/var/www/nodebb/forums/app.js:308:36)
    at process.<anonymous> (/var/www/nodebb/forums/app.js:173:3)
    at process.EventEmitter.emit (events.js:95:17)
    at process._fatalException (node.js:272:26)
    [cluster] Child Process (2388) has exited (code: 7, signal: null)
    [cluster] Spinning up another process...


  • GNU/Linux

    You need to explicitly state @1.1.4 otherwise it won't update to that version due to the static 1.1.3 within NodeBB's package.json

    And a NodeBB upgrade afterwards could revert this. If you need that, change the 1.1.3 within NodeBB's package.json to a 1.1.4.



  • Still doesnยด t work:

    Clustering enabled: Spinning up 1 process(es).
    
    1/6 16:41 [6079] - info: Time: Wed Jun 01 2016 16:41:25 GMT+0000 (UTC)
    1/6 16:41 [6079] - info: Initializing NodeBB v1.0.3
    [outdated] nodebb-plugin-emoji-one installed v1.1.4, package.json requires 1.1.0
    1/6 16:41 [6079] - warn: One or more of NodeBB's dependent packages are out-of-date. Please run the following command to update them:
    1/6 16:41 [6079] - warn:     ./nodebb upgrade
    [cluster] Child Process (6079) has exited (code: 0, signal: null)
    

  • Plugin & Theme Dev

    @mechanix change the version of emojione plugin in NodeBB's package.json to 1.1.4 to get rid of that error



  • The error is fixed for me but still nodebb is not starting. see below:

    Any advice?

    0_1464804662224_Capture.PNG


  • GNU/Linux

    @Alex-Papagiannis said in Error Starting NodeBB:

    The error is fixed for me but still nodebb is not starting. see below:

    Any advice?

    0_1464804662224_Capture.PNG

    You are still using nodebb-plugin-emoji-one@1.1.3 instead of 1.1.4; See above posts for solution.



  • @frissdiegurke I have the correct version. So not sure where the problem occurs. Any tips?

    See below:

    0_1464805779122_Capture.PNG


  • GNU/Linux

    @Alex-Papagiannis
    The NodeBB instance of your previous screenshot definitely does not use 1.1.4, that's how far I can tell for sure; The 1.1.4 version does not use /.images/svg anymore in any step.

    So I can just repeat the steps to ensure an updated version for you:

    # stop running instances
    npm rm nodebb-plugin-emoji-one # or rm -rf node_modules/nodebb-plugin-emoji-one
    # edit NodeBB/package.json; update nodebb-plugin-emoji-one version to 1.1.4
    npm install --production # or ./nodebb upgrade if you wish
    # start NodeBB as ususal
    

    If that does not work, try npm cache clean and repeat. If it still does not work, there is something else wrong here.



  • I followed all the steps still the same error. I will continue to monitor this thread just in case someone has a solution. Thanks @frissdiegurke I hope something will come up soon.



  • Hi,
    I've the same error but not with one but for me all plugins get a rollback in the first version, i upgraded all but when I want to do restart, it came back for old version.
    So the error of emoji is the same...
    I'm in v1.0.4 and it is the same for my 2 forums (one in localhost and one in website)0_1464813785681_bug.PNG


  • GNU/Linux

    @LeChatP Since there is no NodeBB 1.0.4 released yet, I assume you're on the weekly branch. Might it be you have an (relic) npm-shrinkwrap.json within your NodeBB directory? If so, remove that.
    If there is none, please post the output of git status.



  • Thank you very much @frissdiegurke ๐Ÿ˜…, also my problem still the same than @Alex-Papagiannis with emoji. So I think this plugin just don't work in his last version, I disabled it using ./nodebb reset -p nodebb-plugin-emoji-one and so my forum came back ๐Ÿ™‚ I think i will don't have any emoji but it doesn't matter instead of a complete forum ๐Ÿ™‚



  • Any progress yet? I have the same problem! please do something. I like emojis and i need them


  • GNU/Linux

    I've had a conversation with the emoji-one support/dev and they reverted their (accidental) changes. Now 1.1.4 is not working anymore; every other version is. Released 1.1.5 because of this ๐Ÿ˜‰



  • Still doesnt work. Nodebb is starting but in the composer I donยด t see the emoji icon nor is the auto completion feature working ๐Ÿ˜ž



  • Pardon me, my mistake. The icon set wasnt active in the dasshboard


Log in to reply
 


Looks like your connection to NodeBB was lost, please wait while we try to reconnect.